Package uk.ac.starlink.topcat.plot2

## Class AutoConfigSpecifier

- java.lang.Object
- - uk.ac.starlink.ttools.plot2.config.SpecifierPanel<uk.ac.starlink.ttools.plot2.config.ConfigMap>
  - - uk.ac.starlink.topcat.plot2.ConfigSpecifier
    - - uk.ac.starlink.topcat.plot2.AutoConfigSpecifier

- All Implemented Interfaces:
    `uk.ac.starlink.ttools.plot2.config.Specifier<uk.ac.starlink.ttools.plot2.config.ConfigMap>`

      public class AutoConfigSpecifier
      extends ConfigSpecifier

  Extends ConfigSpecifier to decorate some of its component specifiers as AutoSpecifiers. This adds an "Auto" checkbox to each entry which can be used to override the default settings.
  Since:
    13 Mar 2013
  Author:
    Mark Taylor
  See Also:
    `OptionalConfigSpecifier`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class uk.ac.starlink.topcat.plot2.ConfigSpecifier

      `ConfigSpecifier.ComponentGui`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AutoConfigSpecifier​(uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] keys)` | Constructs a specifier with all of its keys decorated as AutoSpecifiers.
    `AutoConfigSpecifier​(uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] allKeys, uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] autoKeys)` | Constructs a specifier with some of its keys decorated as AutoSpecifiers.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> AutoSpecifier<T>` | `getAutoSpecifier​(uk.ac.starlink.ttools.plot2.config.ConfigKey<T> key)` | Returns the auto specifier associated with one of this object's keys.

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.ConfigSpecifier

      `checkConfig, checkRangeSense, createComponent, getConfigKeys, getSpecifiedValue, getSpecifier, reportError, setSpecifiedValue, submitReport`

    - ### Methods inherited from class uk.ac.starlink.ttools.plot2.config.SpecifierPanel

      `addActionListener, fireAction, getActionForwarder, getChangeForwarder, getComponent, isXFill, removeActionListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoConfigSpecifier

          public AutoConfigSpecifier​(uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] allKeys,
                                     uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] autoKeys)

      Constructs a specifier with some of its keys decorated as AutoSpecifiers.
      Parameters:
        `allKeys` - all the keys for configuration
        `autoKeys` - subset of allKeys which should be presented as AutoSpecifiers; any entries not contained in allKeys are ignored

    - #### AutoConfigSpecifier

          public AutoConfigSpecifier​(uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] keys)

      Constructs a specifier with all of its keys decorated as AutoSpecifiers.
      Parameters:
        `keys` - config keys

  - ### Method Detail

    - #### getAutoSpecifier

          public <T> AutoSpecifier<T> getAutoSpecifier​(uk.ac.starlink.ttools.plot2.config.ConfigKey<T> key)

      Returns the auto specifier associated with one of this object's keys. If the key is not one that has an auto specifier, null is returned.
      Parameters:
        `key` - config key
      Returns:
        auto specifier for key, or null